package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;

@Entity
@Table(name = "LogSiranap_T")
public class LogSiranap extends BaseTransaction{
	
	@Column(name = "kodeRuang")
	private String kodeRuang;
	
	@Column(name = "tipePasien")
	private String tipePasien;
	
	@Column(name = "total_TT")
	private String total_TT;
	
	@Column(name = "terpakaiMale")
	private String terpakaiMale;
	
	@Column(name = "terpakaiFemale")
	private String terpakaiFemale;
	
	@Column(name = "kosongMale")
	private String kosongMale;
	
	@Column(name = "kosongFemale")
	private String kosongFemale;
	
	@Column(name = "waiting")
	private String waiting;
	
	@Column(name = "tglUpdate")
	private String tglUpdate;
	
	@Column(name = "tglAccess")
	private Date tglAccess;

	public String getKodeRuang() {
		return kodeRuang;
	}

	public void setKodeRuang(String kodeRuang) {
		this.kodeRuang = kodeRuang;
	}

	public String getTipePasien() {
		return tipePasien;
	}

	public void setTipePasien(String tipePasien) {
		this.tipePasien = tipePasien;
	}

	public String getTotal_TT() {
		return total_TT;
	}

	public void setTotal_TT(String total_TT) {
		this.total_TT = total_TT;
	}

	public String getTerpakaiMale() {
		return terpakaiMale;
	}

	public void setTerpakaiMale(String terpakaiMale) {
		this.terpakaiMale = terpakaiMale;
	}

	public String getTerpakaiFemale() {
		return terpakaiFemale;
	}

	public void setTerpakaiFemale(String terpakaiFemale) {
		this.terpakaiFemale = terpakaiFemale;
	}

	public String getKosongMale() {
		return kosongMale;
	}

	public void setKosongMale(String kosongMale) {
		this.kosongMale = kosongMale;
	}

	public String getKosongFemale() {
		return kosongFemale;
	}

	public void setKosongFemale(String kosongFemale) {
		this.kosongFemale = kosongFemale;
	}

	public String getWaiting() {
		return waiting;
	}

	public void setWaiting(String waiting) {
		this.waiting = waiting;
	}

	public String getTglUpdate() {
		return tglUpdate;
	}

	public void setTglUpdate(String tglUpdate) {
		this.tglUpdate = tglUpdate;
	}

	public Date getTglAccess() {
		return tglAccess;
	}

	public void setTglAccess(Date tglAccess) {
		this.tglAccess = tglAccess;
	}	

}
